Api reference
GET Sessions Id Transcript
GET
/v1/sessions/{id}/transcriptAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Query Parameters
before?integer
Range
0 <= valuelimit?integer
Range
1 <= valueDefault
32Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/sessions/string/transcript"{ "items": [ { "id": "string", "sessionId": "string", "sequence": 0, "role": "user", "text": "string", "createdAt": "string", "updatedAt": "string", "isGenerating": true, "hasDetails": true, "turnId": "string", "startedAt": "string", "endedAt": "string", "stopReason": "string", "stopDetail": "string", "retryable": true, "planDocument": "string", "attachments": [ { "fileId": "string", "name": "string", "mimeType": "string", "sizeBytes": 0, "kind": "image" } ], "revision": 0 } ], "nextBefore": "string", "hasMore": true, "eventCursor": 0, "pendingQuestion": { "sessionUpdate": "question", "questionId": "string", "message": "string", "questions": [ { "id": "string", "header": "string", "question": "string", "options": [ { "id": "string", "label": "string", "description": "string" } ], "multiSelect": true, "allowsOther": true, "isSecret": true } ], "autoResolutionMs": 0 }, "backgroundTasks": [ { "id": "string", "description": "string", "status": "string", "taskType": "string", "toolUseId": "string", "terminalKey": "string", "readOnly": true } ]}{ "error": "string"}{ "error": "string"}{ "error": "string"}